%define name drakx-net
%define version 0.12
%define release %mkrel 1

%define libname lib%{name}

Summary: Mandriva network tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://wiki.mandriva.com/en/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: drakxtools >= 10.4.99-3mdv
Requires: %{name}-text
Requires: %{libname}
Requires: netprofile
Requires: perl-Gtk2-NotificationBubble
Conflicts: drakxtools <= 10.4.83

%description
This package contains the Mandriva network tools.

net_applet: applet to check network connection

net_monitor: connection monitoring

%package text
Summary: Mandriva network text tools
Group: System/Configuration/Networking
Requires: drakxtools-curses
Conflicts: drakxtools-curses <= 10.4.83

%description text
This package contains the Mandriva network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)


%package -n %{libname}
Summary: Mandriva network tools library
Group: System/Configuration/Networking
Requires: drakxtools-backend
Conflicts: drakxtools-backend <= 10.4.83

%description -n	%{libname}
This package contains the Mandriva network tools library.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS
%{_bindir}/net_applet
%{_bindir}/drakroam
%{_sbindir}/drakhosts
%{_sbindir}/drakids
%{_sbindir}/draknetprofile
%{_sbindir}/draknfs
%{_sbindir}/drakroam
%{_sbindir}/draksambashare
%{_sbindir}/net_monitor
%{_prefix}/lib/libDrakX/network/ifw.pm
%{_prefix}/lib/libDrakX/network/monitor.pm
%config(noreplace) %{_sysconfdir}/pam.d/drakroam
%config(noreplace) %{_sysconfdir}/security/console.apps/drakroam
%{_sysconfdir}/X11/xinit.d/??net_applet
%{_datadir}/applications/net_applet.desktop
%{_datadir}/autostart/net_applet.desktop
%{_datadir}/gnome/autostart/net_applet.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png

%files text
%{_sbindir}/drakconnect
%{_sbindir}/drakfirewall
%{_sbindir}/drakgw
%{_sbindir}/drakinvictus
%{_sbindir}/drakproxy
%{_sbindir}/drakvpn

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%exclude %{_prefix}/lib/libDrakX/network/ifw.pm
%exclude %{_prefix}/lib/libDrakX/network/monitor.pm
%{_prefix}/lib/libDrakX/network/*


%changelog
* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.12-1mdv2007.1
+ Revision: 150102
- 0.12: fix check of nfs-utils-clients installation (Tv)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 149896
- 0.11.1 (don't install .perl_checker file /o\)
- 0.11:
  o enhance selection of multiple thirdparty packages
  o make thirdparty packages code easier to re-use
    (for example in automatic install, useful for live systems)

* Wed Mar 28 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2007.1
+ Revision: 149284
- 0.10:
  o drakroam: do not show "More networks" menu if empty (#28626)
  o don't translate program names in old interface (Emmanuel Blindauer, #29196)
  o drakconnect: make net_applet reload its configuration after an interface is deleted (#28680)
  o draknfs: fix missing use of gtkset (aginies)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 148615
- 0.9:
  o allow drakroam to be run as user (#23771)
  o do not allow drakconnect to be run as user anymore
  o fix gateway detection for new ppp daemon (#27886)
- pam config is now handled in "upstream" tarball
- update url
- move pam config in drakx-net module
- move pam config in drakx-net module

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 148077
- 0.8
- prefer DNS variables over MS_DNS one in ifcfg files (should fix ppp ifcfg files and static net install)
- drakroam: rt73-firmware support (#29691)
- drakroam: do not detect network with empty ssid as configured
- drakroam: fix rf_kill detection for ipw3945 by checking it before interface presence
- drakroam: remove ipw3945d service support
- drakroam: reload ipw3945 module if no interface is present when the device is not rf-killed (fix missing interface is booting with rf-kill)
- drakroam: try to find wireless driver if unknown (fix rt61 detection)
- drakroam: rt61 firmware support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump require on drakxtools for PCI domain support

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 141488
- 0.7
- add missing tools: drakhosts, draknfs, draksambashare (thanks Titi
- for the hint)
- drakconnect: match PCI domain when looking up devices by MAC address
- (Titi)
- drakconnect: use a link detection delay for r8169
- drakconnect: default to NEEDHOSTNAME=no
- drakroam: merge flags from configured wpa_supplicant networks in all
- matching scanned networks
- drakroam: detect ad-hoc networks when wpa_supplicant is used
- drakroam: pre-select detected wireless mode of the configured
- network
- drakroam: allow to configure ad-hoc networks with wpa_supplicant
- drakroam: write more settings in ifcfg files when wpa_supplicant is
- used
- drakroam: do not write Roaming WIRELESS_MODE anymore, ifup scripts
- will rely on WIRELESS_WPA_DRIVER
- drakroam: do not override AP address with "any" when parsing
- wpa_supplicant network list
- net_applet: start it using GNOME own autostart infrastructure
- (Frederic Crozat)
- net_applet: fix detection of running net_applet processes

* Mon Feb 26 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-2mdv2007.1
+ Revision: 126069
- setup drakconnect to use consolehelper (runs as root
  without prompting for a password as long as invoked by
  the console user)

* Wed Feb 07 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2007.1
+ Revision: 117305
- add NEWS file
- 0.6

* Thu Jan 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 107288
- add rt73 in the old rt2x00 list (blino)
- drakhosts, draknfs, draksambashare: move more network tools
  into drakx-net
- misc cleanups

* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.1
+ Revision: 101096
- net_monitor: fix choosing color

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-2mdv2007.1
+ Revision: 100535
- explicitely require perl-Gtk2-NotificationBubble

* Wed Dec 06 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 91619
- update tarball so that perl_checker is not required
- do not run tools in restricted mode (#27458)
- fix crash in restricted mode
- use /media instead of /mnt for cdrom/floppy
- get translations from "drakx-net" domain (from Thierry Vignaud)

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2007.1
+ Revision: 89438
- bump release
- do not use mklibname

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 89282
- net_applet: show simplified menu on left click (instead of running net_monitor)
- drakfirewall: really disable services if asked to (#27295)
- move netprofile requires in drakx-net
- move network tools description in drakx-net
- move network tools description in drakx-net

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.1
+ Revision: 89212
- do not buildrequires perl_checker
- initial drakx-net release
- Create drakx-net

